import os, sys
import signal

try:
    from PySide6.QtCore import QLibraryInfo, qVersion
    from PySide6.QtGui import QIcon, QImageReader
    from PySide6.QtWidgets import QApplication, QSystemTrayIcon
except ImportError:
    from PySide6.QtCore import QLibraryInfo, qVersion
    from PySide2.QtGui import QIcon, QImageReader
    from PySide2.QtWidgets import QApplication, QSystemTrayIcon


if __name__ == '__main__':
    print('Python {}.{}'.format(sys.version_info[0], sys.version_info[1]))
    print(QLibraryInfo.build())
    app = QApplication(sys.argv)
    signal.signal(signal.SIGINT, signal.SIG_DFL)
    svg = os.path.join(os.path.dirname(__file__), 'tray.svg')
    icon = QIcon(svg)
    print(QImageReader.supportedImageFormats())
    print('availableSizes=', icon.availableSizes())
    tray = QSystemTrayIcon(icon)
    tray.show()
    app.exec_()
